"""
File: easyPython.py
Author: Mark Clarkson
Date: June, 2013
Description: A program to introduce to introduce text-based
programming as a next step from graphical programming
(e.g. Scratch, Kodu, Alice, Gamemaker, et al)
"""
# This line is essential and lets us use the easygui library
import easygui as eg

###################################################################
#
# Introduction
# Any words in red are called comments, and the computer
# will ignore them - although they can be very useful to people!
#
# Any section in green that starts and ends with 3 quotes
"""
Like this
"""
# will also be ignored by the computer.
#
# STEP 1
# The Message Box
#
# Look at the following line and try to guess what it will do
# Once you think you know (or you've given up), press F5 to run
# the program and find out.

eg.msgbox("Hello, world!")

#
###################################################################


###################################################################
# STEP 2
# Editing Messages
#
# Alter the line above to say "Hello, and welcome to the quiz!".
# Always test that it works once you've changed something.
#
###################################################################


###################################################################
# STEP 3
# Getting An Input
#
# Remove the 3 speech marks from here and the 3 speech marks at
# the end of this green section. Run the program again to see how
# it works.

"""
name = eg.enterbox("Player, enter your name:")

eg.msgbox("Welcome, " + name + ". Good luck with the challenge before you!")
"""
#
###################################################################


###################################################################
# STEP 4
# If / Else
#
# Remove the quotes around the next green section.
# At the minute, it won't work. You will need to move each
# of the lines below in order to get it working right,
# but YOU will have to decide where to put them!
#
#
#eg.msgbox("There you go!", image="kitten.gif")
#
#eg.msgbox("But kittens are cute! Oh well, here's a python instead", image="python.gif")

"""
buttons = ["Yes","No"]
kittens = eg.buttonbox("Would you like to see a picture of a kitten?", choices=buttons)

if kittens == "Yes":
    msgbox("Something goes here")
else:
    msgbox("Something else goes here")
"""
#
###################################################################


###################################################################
# STEP 5
# Working with numbers
#
# Remove the quotes around the next green section.
# Have a look at the code, first, and see what you think
# will happen when you enter a number.
#
# Now run the program and see if you are right.

"""
number = eg.enterbox("Enter a number:")
newNumber = number + number
eg.msgbox("Your number doubled is " + str(newNumber))
"""

# The problem is that an enterbox gives you a 'string' (a piece of
# text), but in order to do arithmetic we need to have a number.
# Try replacing the enterbox("...") with an integerbox("...")
# (an integer is a whole number) and see if that works any better.
#
# NB: The reason we need to say str(newNumber) is so we can turn
# the number back into a string again to display it.
###################################################################


###################################################################
# STEP 6
# Repeat
#
# A fairly easy way of repeating is to use "while" and "break"
# Test that the program works as it should

"""
while True:
    buttons = ["Crookshanks","Severus","Albus","Fred","George"]
    choice = eg.buttonbox("What is the name of this cat?",choices=buttons,image="cat.gif")
    if choice == "Severus":
        break



eg.msgbox("Well done - it's Severus!")
"""

#
# Using the same image file, try to alter the question, possible
# responses and correct answer.
#
###################################################################

###################################################################
# STEP 7
# Using what you have learned
#
# Create a new Python document (file >> save)
# Use snippets of code from here and try to create your own
# quiz, game or program.
#
# A few hints:
#  - if using "while" or "if", put a colon (:) at the end of the line
#  - if using "while" or "if", indent the next bit of code using TAB
#  - if you have an error, check for unpaired brackets
#
###################################################################


